## mhz 0.0~git20230617.11aac23

=== debian/changelog ===
mhz (0.0~git20230617.11aac23-2) unstable; urgency=medium

  * Add smoke autopkgtest

 -- Benjamin Drung <bdrung@debian.org>  Tue, 24 Oct 2023 13:48:12 +0200

mhz (0.0~git20230617.11aac23-1) unstable; urgency=medium

  * Initial release. (Closes: #1054458)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 24 Oct 2023 03:18:24 +0200

## mhz 0.0~git20240131.d84a678

=== Makefile ===
CC         := gcc
CFLAGS     := -O3 -Wall -fomit-frame-pointer

all: mhz

mhz: %: %.o
	$(CC) $(LDFLAGS) -o $@ $^

%.o: %.c
	$(CC) $(CFLAGS) $(INCLUDE) -o $@ -c $<

clean:
	rm -f mhz *.o *~

=== debian/changelog ===
mhz (0.0~git20240131.d84a678-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:00 +1100

mhz (0.0~git20240131.d84a678-1) unstable; urgency=medium

  * New upstream snapshot
  * Update year in debian/copyright

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:49:49 +0100

=== debian/control ===
Source: mhz
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/wtarreau/mhz
Vcs-Browser: https://salsa.debian.org/debian/mhz
Vcs-Git: https://salsa.debian.org/debian/mhz.git

Package: mhz
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPU frequency measurement utility
 This tool measures real CPU clockspeeds. This is helpful on platforms where
 cpufreq support is not available (yet) or where the clockspeed values returned
 by the kernel cannot be relied. This applies to platforms where vendors are
 cheating, where weird clockspeed capping occurs for unknown reasons or where
 actual clockspeeds are set via jumpers while the clockspeeds available to the
 kernel are derived from device-tree (DT) entries.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -O3 -fomit-frame-pointer

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CFLAGS)"

=== debian/tests/control ===
Test-Command: mhz
Depends: mhz
Restrictions: superficial
Features: test-name=smoke-test

## mhz 1.0.0

=== debian/changelog ===
mhz (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add man page
  * Bump Standards-Version to 4.7.2
  * Update year in copyright

 -- Benjamin Drung <bdrung@debian.org>  Sun, 27 Jul 2025 00:46:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: mhz
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), asciidoctor
+Standards-Version: 4.7.2
 Homepage: https://github.com/wtarreau/mhz
 Vcs-Browser: https://salsa.debian.org/debian/mhz
 Vcs-Git: https://salsa.debian.org/debian/mhz.git

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,4 @@
 
 override_dh_auto_build:
 	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CFLAGS)"
+	asciidoctor -b manpage mhz.1.adoc

=== debian/watch ===
version=4
opts=\
  filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
  downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
  searchmode=plain \
  https://api.github.com/repos/wtarreau/mhz/git/matching-refs/tags/ \
  https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
